Packages - Bug #3435

boost-libs breaks a dependency required by blender
2023-01-24 02:11 PM - direnis

Status: confirmed % Done: 0%
Priority: bug

Assignee:

Category:

Description

¢ steps to reproduce:

# pacman -Syu
e expected result:

pacman performs a system upgrade without any issues
e actual result:

$ LANG=C doas pacman -Syu
doas (user@host) password:
Synchronizing package databases...
nonprism is up to date
libre is up to date
core is up to date
extra is up to date
community is up to date
pcr is up to date
multilib is up to date
Starting full system upgrade...
warning: python-charset-normalizer: ignoring package upgrade (2.1.1-1 => 3.0.1-1)
warning: python-matrix-nio: ignoring package upgrade (0.19.0-4 => 0.20.0-1)
resolving dependencies...
looking for conflicting packages...
error: failed to prepare transaction (could not satisfy dependencies)
installing boost-1libs (1.81.0-2) breaks dependency 'libboost_locale.so0=1.80.0-64"' required
by blender
installing kded (5.102.0-1) breaks dependency 'kded=5.101.0' required by kio

History

#1 - 2023-01-26 05:33 AM - bill-auger

- Status changed from unconfirmed to confirmed

the last time blender needed a rebuild, it also could have been upgraded; but the latest version did not compile - i rebuilt the previous version instead -
this time, neither version will compile

#2 - 2023-02-14 01:55 AM - bill-auger

if you like, you can upgrade now with this command

# pacman -Syu --ignore=boost-libs
